%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-openin
Version:        20070524
Release:        4%{?dist}
Summary:        OCaml syntax to locally open modules

Group:          Development/Libraries
License:        Public Domain
URL:            http://alain.frisch.fr/soft#openin
Source0:        http://alain.frisch.fr/info/openin-20070524.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    ppc64

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh


%description
This package implements a Camlp4 syntax extension for Objective
Caml. It adds the syntactic construction:

open M in e

that can appear in any context where an expression is expected. M is
an arbitrary module expression (not only qualified names as for usual
open statements) and e is an expression.


%prep
%setup -q -n openin-%{version}


%build
make

cat > META <<EOF
name = "openin"
version = "%{version}"
requires = "camlp4"
archive(syntax,toploop) = "pa_openin.cmo"
archive(syntax,preprocessor) = "pa_openin.cmo"
EOF


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

ocamlfind install openin META pa_openin.cmo


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/ocaml/openin


%changelog
* Tue Jul  1 2008 Richard W.M. Jones <rjones@redhat.com> - 20070524-4
- Ignore Asttypes & Parsetree deps.

* Fri Apr  4 2008 Richard W.M. Jones <rjones@redhat.com> - 20070524-3
- ExcludeArch ppc64 (F-8 only).

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 20070524-2
- Remove ExcludeArch ppc64.

* Thu Feb 28 2008 Richard W.M. Jones <rjones@redhat.com> - 20070524-1
- Initial RPM release.
